## ros-melodic-cob-srvs 0.7.4

=== CMakeLists.txt ===
cmake_minimum_required(VERSION 3.0.2)
project(cob_srvs)

find_package(catkin REQUIRED COMPONENTS geometry_msgs message_generation)

add_service_files(FILES
  Dock.srv
  SetFloat.srv
  SetInt.srv
  SetString.srv
)

generate_messages(
  DEPENDENCIES geometry_msgs
)

catkin_package(
    CATKIN_DEPENDS geometry_msgs message_runtime
)

=== debian/changelog ===
ros-melodic-cob-srvs (0.7.4-1stretch) stretch; urgency=high

  * Merge pull request #289 <https://github.com/ipa320/cob_common/issues/289> from HannesBachter/feature/dock_service_action
    add Dock service and -action
  * add Dock service and action
  * Contributors: Felix Messmer, hyb

 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 19 Nov 2020 23:00:00 -0000

ros-melodic-cob-srvs (0.7.3-1stretch) stretch; urgency=high

  * Merge pull request #288 <https://github.com/ipa320/cob_common/issues/288> from fmessmer/test_noetic
    test noetic
  * Bump CMake version to avoid CMP0048 warning
  * Contributors: Felix Messmer, fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 25 Sep 2020 22:00:00 -0000

ros-melodic-cob-srvs (0.7.2-1stretch) stretch; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 17 Mar 2020 23:00:00 -0000

ros-melodic-cob-srvs (0.7.1-1stretch) stretch; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 06 Nov 2019 23:00:00 -0000

ros-melodic-cob-srvs (0.7.0-1stretch) stretch; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 05 Aug 2019 22:00:00 -0000

ros-melodic-cob-srvs (0.6.12-1stretch) stretch; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 19 May 2019 22:00:00 -0000

ros-melodic-cob-srvs (0.6.11-1stretch) stretch; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 04 Apr 2019 22:00:00 -0000

ros-melodic-cob-srvs (0.6.10-1stretch) stretch; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 13 Mar 2019 23:00:00 -0000

ros-melodic-cob-srvs (0.6.9-1stretch) stretch; urgency=high

  * update maintainer
  * Contributors: fmessmer

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 20 Jul 2018 22:00:00 -0000

ros-melodic-cob-srvs (0.6.8-1stretch) stretch; urgency=high

  * Merge pull request #246 <https://github.com/ipa320/cob_common/issues/246> from ipa320/indigo_release_candidate
    Indigo release candidate
  * Merge pull request #224 <https://github.com/ipa320/cob_common/issues/224> from ipa-fxm/APACHE_license
    use license apache 2.0
  * use license apache 2.0
  * Contributors: Felix Messmer, ipa-uhr-mk

 -- Felix Messmer <felixmessmer@gmail.com>  Sat, 06 Jan 2018 23:00:00 -0000

ros-melodic-cob-srvs (0.6.7-1stretch) stretch; urgency=high

  * manually fix changelog
  * Contributors: ipa-fxm

 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 16 Jul 2017 22:00:00 -0000

ros-melodic-cob-srvs (0.6.6-1stretch) stretch; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 09 Oct 2016 22:00:00 -0000

ros-melodic-cob-srvs (0.6.5-1stretch) stretch; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Thu, 31 Mar 2016 22:00:00 -0000

ros-melodic-cob-srvs (0.6.4-1stretch) stretch; urgency=high

  * remove obsolete autogenerated mainpage.dox files
  * remove trailing whitespaces
  * migrate to package format 2
  * sort dependencies
  * Contributors: ipa-fxm

 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 28 Aug 2015 22:00:00 -0000

ros-melodic-cob-srvs (0.6.3-1stretch) stretch; urgency=high

  * Merge branch 'indigo_dev' of github.com:ipa320/cob_common into remove_Trigger_srv
  * readd SetInt service
  * remove Trigger from cob_srvs
  * cleanup cob_srvs
  * beautify CMakeLists
  * Contributors: ipa-fxm

 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 16 Jun 2015 22:00:00 -0000

ros-melodic-cob-srvs (0.6.2-1stretch) stretch; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 14 Dec 2014 23:00:00 -0000

ros-melodic-cob-srvs (0.6.1-1stretch) stretch; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 23 Sep 2014 22:00:00 -0000

ros-melodic-cob-srvs (0.6.0-1stretch) stretch; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Mon, 15 Sep 2014 22:00:00 -0000

ros-melodic-cob-srvs (0.5.5-1stretch) stretch; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Tue, 26 Aug 2014 22:00:00 -0000

ros-melodic-cob-srvs (0.5.4-1stretch) stretch; urgency=high

  * update changelog
  * cleaning up debs
  * cleaning up debs
  * Contributors: Florian Weisshardt, ipa-fxm

 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 24 Aug 2014 22:00:00 -0000

ros-melodic-cob-srvs (0.5.3-1stretch) stretch; urgency=high

  * merge
  * add new service
  * Contributors: Florian Weisshardt

 -- Felix Messmer <felixmessmer@gmail.com>  Sun, 30 Mar 2014 22:00:00 -0000

ros-melodic-cob-srvs (0.5.2-1stretch) stretch; urgency=high

  * update CMakeLists
  * Contributors: ipa-fxm

 -- Felix Messmer <felixmessmer@gmail.com>  Wed, 19 Mar 2014 23:00:00 -0000

ros-melodic-cob-srvs (0.5.1-1stretch) stretch; urgency=high



 -- Felix Messmer <felixmessmer@gmail.com>  Fri, 16 Aug 2013 02:14:35 +0200

ros-melodic-cob-srvs (0.5.0-1stretch) stretch; urgency=high

  * small change for compiling, descriptions need modifications for gazebo
  * added msg generators
  * Catkin for cob_common
  * Deleted __init__ files
  * removed files that should not be in version control
  * removed binary file from version control
  * Groovy migration
  * Revert "removed old cob_utilities files"
    This reverts commit 45e743a0d8d25c3b3ec7d77c73c248949cfb0a51.
  * removed old cob_utilities files
  * extended GetPoseStampedTransformed.srv
  * added dependency on geometry_msgs
  * moved GetPoseStampedTransformed.srv to cob_srvs
  * merge with ipa320
  * removed obsolete dependency
  * before merge with 320
  * cleanup dependencies
  * removed deprecated services
  * moved msgs and srvs to according packages in cob3_intern
  * deleted object detection services
  * Extended Acquire Object image service call to provide transformations/frames of object views
  * new service
  * merge with ipa320
  * moved GetJointState message ro base_drive_chain
  * JSF: Added new messages
  * moved init test to cob_srvs
  * updated service attributes
  * new msg/srv definitions for sensor fusion
  * use std_msgs/Header instead of Header in cob_msg and cob_srvs due to upcoming deprecation
  * added new service


=== debian/control ===
Source: ros-melodic-cob-srvs
Section: misc
Priority: optional
Maintainer: Felix Messmer <felixmessmer@gmail.com>
Build-Depends: debhelper (>= 9.0.0), ros-melodic-catkin, ros-melodic-geometry-msgs, ros-melodic-message-generation
Homepage: http://ros.org/wiki/cob_srvs
Standards-Version: 3.9.2

Package: ros-melodic-cob-srvs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, ros-melodic-geometry-msgs, ros-melodic-message-runtime
Description: This Package contains Care-O-bot specific service definitions.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-
# Sample debian/rules that uses debhelper.
# This file was originally written by Joey Hess and Craig Small.
# As a special exception, when this file is copied by dh-make into a
# dh-make output file, you may use that output file without restriction.
# This special exception was added by Craig Small in version 0.37 of dh-make.

# Uncomment this to turn on verbose mode.
export DH_VERBOSE=1
# TODO: remove the LDFLAGS override.  It's here to avoid esoteric problems
# of this sort:
#  https://code.ros.org/trac/ros/ticket/2977
#  https://code.ros.org/trac/ros/ticket/3842
export LDFLAGS=
export PKG_CONFIG_PATH=/opt/ros/melodic/lib/pkgconfig
# Explicitly enable -DNDEBUG, see:
# 	https://github.com/ros-infrastructure/bloom/issues/327
export DEB_CXXFLAGS_MAINT_APPEND=-DNDEBUG

%:
	dh $@ -v --buildsystem=cmake

override_dh_auto_configure:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_configure -- \
		-DCATKIN_BUILD_BINARY_PACKAGE="1" \
		-DCMAKE_INSTALL_PREFIX="/opt/ros/melodic" \
		-DCMAKE_PREFIX_PATH="/opt/ros/melodic"

override_dh_auto_build:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_build

override_dh_auto_test:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	echo -- Running tests. Even if one of them fails the build is not canceled.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_test || true

override_dh_shlibdeps:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_shlibdeps -l$(CURDIR)/debian/ros-melodic-cob-srvs//opt/ros/melodic/lib/

override_dh_auto_install:
	# In case we're installing to a non-standard location, look for a setup.sh
	# in the install tree that was dropped by catkin, and source it.  It will
	# set things like CMAKE_PREFIX_PATH, PKG_CONFIG_PATH, and PYTHONPATH.
	if [ -f "/opt/ros/melodic/setup.sh" ]; then . "/opt/ros/melodic/setup.sh"; fi && \
	dh_auto_install
